Subject: Re: [PATCH] git-instaweb: fix lighttpd configuration on cygwin

From: Pascal Obry <[email-masked]>
Date: Tue, 10 Mar 2009 18:34:34 +0100

Ramsay Jones a écrit :
> Signed-off-by: Ramsay Jones <[email-masked]>
> ---
> 
> A recent email from Pascal reminded me that I had this patch
> kicking around. I haven't tested this on Linux, since I don't
> have lighttpd installed there (I already have Apache), but I
> don't expect any problems; famous last words!
> 
> The essence of the change is the addition of the "mod_setenv"
> module, along with the PATH environment variable assignment.
> (otherwise gitweb can't find a shell and, therefore, can't
> execute any git programs)
> 
> Also, I had to add a default mime-type assignment of text/plain
> ("" => "text/plain").  If my memory serves me, the other additions
> to the mime-type mapping was just cosmetic; and why not?
> 
> Hmmm, I just noticed that the first hunk, which is needed to
> suppress a "lighttpd: not found" error message, could perhaps be
> seen as an un-related fix. Dunno.

Tested on my side using Cygwin 1.5.25 and httpd. Working fine. Thanks.

  Tested-by: Pascal Obry <[email-masked]>

or

  Signed-off-by: Pascal Obry <[email-masked]>

Not sure as I have never seen Tested-by!

Pascal.

-- 

--|------------------------------------------------------
--| Pascal Obry                           Team-Ada Member
--| 45, rue Gabriel Peri - 78114 Magny Les Hameaux FRANCE
--|------------------------------------------------------
--|    http://www.obry.net  -  http://v2p.fr.eu.org
--| "The best way to travel is by means of imagination"
--|
--| gpg --keyserver keys.gnupg.net --recv-key F949BD3B